if exist('fileout')~=0 
   fileout;   
end

if exist('out')==0 
   fprintf('Errore matrice dati non presente...\n');
else
% Significati dei vettori della matrice ''out'' compresa nel file di uscita ''fileout''.
% 1   = tempo;
% 2,3 = errore x,y
% 4,5 = campione comando in x,y
% 6   = stima dello stato x (poszione x nello spazio robot)
% 7   = stima dello stato y (poszione y nello spazio robot)
% 8   = stima della posizione x dell'oggetto 
% 9   = stima della posizione y dell'oggetto
% 10  = stima velocit x oggetto 
% 11  = stima velocit y oggetto
% 12  = predizione stato x futuro del sistema
% 13  = predizione stato y futuro del sistema

% colonne graficate

S=['tempo                     ';
   'Errore assi               ';
   'Errore assi               ';
   'Campione comando          ';
   'Campione comando          ';
   'Stima posizione robot     ';
   'Stima posizione robot     ';
   'Stima posizione oggetto   ';
   'Stima posizione oggetto   ';
   'Filtr. posizione oggetto  ';
   'Filtr. posizione oggetto  ';
   'Filtr. velocit oggetto   ';
   'Filtr. velocit oggetto   ';
   'Filtr. acceler. oggetto   '
   'Filtr. acceler. oggetto   ';
   'Stima velocit  oggetto   ';
   'Stima velocit. oggetto   '];

nelem=size(S);
fprintf('\n\n*************************************************************\n');
fprintf('*                     Visualizzazione uscite                *\n');
fprintf('*************************************************************\n');

cont1=0;
for cont= 2:2:nelem(1,1)
   cont1=cont1+1;
   fprintf('%i) %s\n',cont1,S(cont,:));
end
fprintf('*************************************************************\n\n');
inc1=input('Immettere grandezza 1 da graficare:');
inc3=input('Immettere grandezza 2 da graficare:');

if (isempty(inc1)) 
   if exist('memc1')~=0 
      inc1=memc1;  % caricamento valore precedente
   else
      inc1=1;  % valori di default
   end
end
if (isempty(inc3))
   if exist('memc3')~=0
      inc3=memc3;  % caricamento valore precedente
   else
      inc3=5; % valore di default
    end
   
end

memc3=inc3; % memorizzo le scelte precedenti...
memc1=inc1;

c1=inc1*2;
c3=inc3*2;



%c1=2;
c2=c1+1;
%c3=10;
c4=c3+1;
T1='Grafico temporale';
subplot(2,2,1),plot(out(:,1),out(:,c1),'r',out(:,1),out(:,c3),'b');
title(T1);ylabel('Asse x');
grid on;zoom on;

subplot(2,2,2),plot(out(:,1),out(:,c2),'r',out(:,1),out(:,c4),'b');
title(T1);grid on;ylabel('Asse y');zoom on;



subplot(2,2,4),plot(out(:,c3),out(:,c4),'b');
title(S(c3,:));xlabel('Asse x');ylabel('Asse y');grid on;zoom on;


subplot(2,2,3),plot(out(:,c1),out(:,c2),'r');
title(S(c1,:));xlabel('Asse x');ylabel('Asse y');grid on;zoom on;

end % fine blocco if con ritrovamento della matrice dati
