function ris=PIDin(Ein,delta,T)
global Uk0;
global Uk1;
global Uk2;
global Ek1;
global Ek2;
global r1;
global r2;
global Time;

Td=0.1;
K=0.3;
N=10;
Ti=1.5;
DT=T-Time;

if (DT>.260)
   Time=T;
   
	Kalfa=DT/Ti;
	Kgamma=Td/(N*DT+Td);
	Kbeta=N*Kgamma;
	
	q0=K*(1+Kbeta);
	q1=-K*(delta+Kgamma-delta*Kalfa+Kbeta+delta*Kbeta);
	q2=K*delta*(Kgamma-Kalfa*Kgamma+Kbeta);
		
	r1=Kgamma+delta;
	r2=Kgamma*delta;

	Uk0=r1*Uk1-r2*Uk2+q0*Ein+q1*Ek1+q2*Ek2;
	Uk2=Uk1;     
	Ek2=Ek1;	
	Uk1=Uk0;  
	Ek1=Ein;   
end
	ris=Uk0;


