if exist('fileout')~=0 
   fileout;
end
D=input('Inserisci il dato di cui calcolare lo spettro:');   

subplot(2,1,1),plot(out(:,1),out(:,D),'r');
vM=max(out(:,[D])); 							% vettore di massimi
vm=min(out(:,[D])); 							% vettore dei minimi
M=max(vM); 												% massimo assoluto
m=min(vm); 												% minimo asoluto delle grandezze stampate
axis([0,max(out(:,1)),m*1.1,M*1.1]);   		% imposto gli assi.
xlabel('Tempo');grid on;zoom on;

St=0.033;      										% Sample-Time.
Fc=1/St;       										% frequenza di campionamento

Y=fft(out(:,D))/(size(out,1)/2); 				% normalizzo l'asse delle ordinate (Shannon)
punti=[1:size(Y,1)];     				
risol=Fc/size(Y,1);      					% incremento della frequenza per punto 
range=punti*risol;  					% incremento totale delle frequenze (bandache guardo)
ascissa=20*log10(abs(Y));  		% scala logaritmica
%ascissa=abs(Y);            						% scala lineare
subplot(2,1,2),plot(range,ascissa,'b');
M=max(ascissa);
m=min(ascissa);
axis([0,fix(Fc/2),m*1.1,M*1.1]);  
xlabel('Hz');
grid on;
zoom on;